<?php

if (function_exists('date_default_timezone_set')) {
	if( ! ini_get('date.timezone') ) {
	   date_default_timezone_set('GMT');
		//date_default_timezone_set ('UTC');
	}
}

/////////////////////////////////////////////////
//                                             //
// ------------------------------------------- //
//      PHP Sitemap Maker                      //
// ------------------------------------------- //
//      A PHP-based Sitemap Maker Utility      //
//                                             //
//      Verison 2.3                            //
//      Apr. 23, 2016                          //
//                                             //
//      Copyright Michael Gieson               //
//      www.gieson.com                         //
//                                             //
//                                             //
/////////////////////////////////////////////////
//                                             //
//      USE AT YOUR OWN RISK                   //
//                                             //
/////////////////////////////////////////////////



/*
Download and Documentation available at:
http://www.gieson.com/Library/projects/utilities/sitemap

For more information on using sitemaps:
- http://www.sitemaps.org
- http://www.sitemaps.org/protocol.html
- http://support.google.com/webmasters/bin/answer.py?hl=en&answer=156184
*/

// Output

// Filename
// NOTE: See the comment "SAVE TO SERVER" down around line #509. By default this does NOT save to server.
$CONF['out_name'] = "sitemap.xml";

// Display sitemap.xml in browser when complete
$CONF['out_kind'] = "download"; // display download

// Frequency
// How often should Google review your sitemap?
$CONF['frequency'] = "weekly"; // never always hourly daily weekly monthly yearly

// Priority:
// Which pages are more important to YOU. Rate each page from 0 to 1
// Options: 0.0 - 1.0
// NOTE:	This has no bearing on how google indexes or prioritizes pages.
//			We recommend just keeping this set to 0.5
$CONF['priority'] = "0.5";


/////////////////////////////////////////////////////////////////
//                                                             //
//                     SITEMAP SETTINGS:                       //
//                                                             //
/////////////////////////////////////////////////////////////////


// Sets the kind of files (extensions) to include:
$CONF['ext'] = array ( "html", "php", "htm", "asp", "cfm" );

// File names to ignore:
$CONF['ig_files'] = array ();

// Folder names to ignore:
$CONF['ig_dirs'] = array ();

// Ignore files and folders that start with the following characters:
$CONF['ig_begin'] = array("forums", "_", "copy", "junk", "delete", "test", "temp", "400", "401", "403", "404", "500");

// Notice spaces on either side of copy.
$CONF['ig_end'] = array("copy , copy");

/////////////////////////////////////////////////////////////////
//                                                             //
//                  DO NOT EDIT BELOW HERE                     //
//                                                             //
/////////////////////////////////////////////////////////////////

function printArray($array) {
	print "<PRE>";
	print_r($array);
	print "</PRE>";
}

function setCookies($theArray){
	// 86400 = 1 day
	$expire = time() + (20 * 365 * 24 * 60 * 60); // 20 years
	foreach ($theArray as $key=>$val) {
		$checkval = "";
		if($val){
			$checkval = $val;
		}
		if(is_array($val)){
			$checkval = "__ARRAY__" . implode("__c__", $val);
		}
		setcookie($key,$checkval,time() + $expire);
	}
}

function getCookies(){
	$return = array();
	foreach ($_COOKIE as $key=>$val) {
		$checkval = $val;
		if(strstr($checkval, "__ARRAY__")){
			$arr = explode("__ARRAY__", $checkval);
			$checkval = explode("__c__", $arr[1]);
		}	
		$return[$key] = $checkval;
	}
	return $return;
}

$stored = getCookies();
if ($stored){
	$checkkeys = array_keys($CONF);
	foreach ($stored as $key=>$val) {
		if( in_array($key, $checkkeys) ){ 
			$CONF[$key] = $val;
		}
	}
}

//printArray($CONF);
//exit;

if($_POST){
	
	if(isset($_POST['out_name'])){
		if($_POST['out_name']){
			$CONF['out_name'] = $_POST['out_name'];
		}
	}

	if(isset($_POST['out_kind'])){
		if($_POST['out_kind']){
			$CONF['out_kind'] = $_POST['out_kind'];
		}
	}

	if(isset($_POST['frequency'])){
		if($_POST['frequency']){
			$CONF['frequency'] = $_POST['frequency'];
		}
	}

	if(isset($_POST['priority'])){
		if($_POST['priority']){
			$CONF['priority'] = $_POST['priority'];
		}
	}

	if(isset($_POST['ext'])){
		if($_POST['ext']){
			$CONF['ext'] = explode ( ",", $_POST['ext'] );
		}
	}

	if(isset($_POST['ig_files'])){
		if($_POST['ig_files']){
			$CONF['ig_files'] = explode ( ",", $_POST['ig_files'] );
		}
	}

	if(isset($_POST['ig_dirs'])){
		if($_POST['ig_dirs']){
			$CONF['ig_dirs'] = explode ( ",", $_POST['ig_dirs'] );
		}
	}

	if(isset($_POST['ig_begin'])){
		if($_POST['ig_begin']){
			$CONF['ig_begin'] = explode ( ",", $_POST['ig_begin'] );
		}
	}
	if(isset($_POST['ig_end'])){
		if($_POST['ig_end']){
			$CONF['ig_end'] = explode ( ",", $_POST['ig_end'] );
		}
	}
	
}

// Keep priority in-range
if($CONF['priority'] < 0){
	$CONF['priority'] = "0.0";
} else if($CONF['priority'] > 1){
	$CONF['priority'] = "1.0";
}

if($CONF['ext'] == ""){
	$CONF['ext'] = array("html", "htm", "php", "asp", "cfm");;
}


setCookies($CONF);



define("newline", "\r\n", true);
define("slash", "/");

// Meat and potatos:
$count = 0;

function checkKeyWords($Ahaystack, $needle){
	foreach($Ahaystack as $value){
		if(@stristr(strtolower($needle), strtolower($value))){
			return true;
		}
	}
	return false;
}

function path_parts($thePath) {
	$thePath = stripslashes($thePath);
	$thePath = str_replace("\\", "/", $thePath);
	$filepathA = explode("/", $thePath);
	$filename = array_pop($filepathA);
	$filepathB = explode(".", $filename);
	$extension = array_pop($filepathB);
	$basename = implode(".", $filepathB);
	$basePath = join("/", $filepathA);
	$Aret = array();
	$Aret['filename'] = $filename;
	$Aret['ext'] = $extension;
	$Aret['basename'] = $basename;
	$Aret['basepath'] = $basePath;
	return $Aret;
}


function getDir($dir, $filter){
	global $CONF, $slash;
	
	$Afiles = array ();
	if(!$dir || $dir == ""){
		$dir = ".";
	}
	$handle=opendir($dir);
	//$d = dir($dir);
	if($dir){
		if(is_dir($dir) ){
			while (false !== ($entry = readdir($handle))){
				
				
				
				if($entry!='.' && $entry!='..') {
					$filename = $entry;
					$entry = $dir.'/'.str_replace("\\", "/", $entry);
					$pathinfo = path_parts($entry);
					
					//print($entry."<br>");
					
					$doit = true;
					$checkThatStart = $entry;

					for($x = 0;$x<sizeof($CONF['ig_begin']);$x++){
						$checkLen = strlen($CONF['ig_begin'][$x]);
						//$checkString = substr($filename, 0, $checkLen);
						if(strtolower(substr($filename, -$checkLen)) == strtolower($CONF['ig_begin'][$x])){
							$doit = false;
						}
					}
					
					for($x = 0;$x<sizeof($CONF['ig_end']);$x++){
						$checkLen = strlen($CONF['ig_end'][$x]);
						$checkString = substr($filename, 0, $checkLen);
						if(strtolower(substr($filename, 0, $checkLen)) == strtolower($CONF['ig_end'][$x])){
							$doit = false;
						}
					}

					if($doit && $entry != $CONF['paths']['sysSelf']){
						if(is_dir($entry)) {
							if( !checkKeyWords($CONF['ig_dirs'], $filename) ){
								// For a flat list, use:
								//$Afiles = array_merge($Afiles, getDir($entry, $filter));
								$dirlist = getDir($entry, $filter);
								if(sizeof($dirlist) > 0){
									array_sort($dirlist, "name");
									$item = array();
									$item['name'] = $filename;
									$item['path'] = $dirlist;
									$Afiles[] = $item;
								}
							}
						} else {
							if(in_array(strtolower($pathinfo['ext']), $filter)){
								if( !checkKeyWords($CONF['ig_files'], $filename) ){
									$item = array();
									$item['name'] = $filename;
									$item['path'] = $entry;
									$Afiles[] = $item;
								}
							}
						}
					}
				}
			}
		}
	}
	@closedir($handle);
	
	array_sort($Afiles, "name");
	//$d->close();
	return $Afiles;
	
}


function array_sort(&$array, $subkey="id", $sort_ascending=true) {

	$temp_array = array();
    if (count($array)){
        $temp_array[key($array)] = array_shift($array);
	}

    foreach($array as $key => $val){
        $offset = 0;
        $found = false;
        foreach($temp_array as $tmp_key => $tmp_val){
            if(!$found and strtolower($val[$subkey]) > strtolower($tmp_val[$subkey])){
                $temp_array = array_merge(	(array)array_slice($temp_array,0,$offset),
                                            array($key => $val),
                                            array_slice($temp_array,$offset)
                                          );
                $found = true;
            }
            $offset++;
        }
        if(!$found) {
			$temp_array = array_merge($temp_array, array($key => $val));
		}
    }

    if ($sort_ascending){
		$array = array_reverse($temp_array);
	} else {
		$array = $temp_array;
	}
}


$count = 0;
function throwtree ($dir, $name, $base='', $id='', $return = '') {
	global $count;
	$output = "";
	foreach ($dir as $key=>$val) {
		$count++;
		$output .= '<dl class="deflist">'."\n";
		$node = $val['path'];
		$basename = $val['name'];
		if (is_array ($node)) {
			$output .= "<dt><b><a href=\"#\" onClick=\"openClose('$base/$basename');return false;\"><i class=\"folder\"></i> $basename</a></b></dt>"."\n";
			$output .= "<dd style=\"display:none;\" id=\"$base/$basename\">"."\n";
			$nextID = $base."/".$basename;
			$nextBase = $base."/".$basename;
			$output .= throwtree ($node, $name, $nextBase, $nextID, $return);
			$output .= "</dd>"."\n";
		} else {
			//$output .= "<dt><input name=\"$name$count\" type=\"checkbox\" value=\"$node\" checked><a href=\"".sys2url($node)."\" target=\"_blank\">". $basename."</a></dt>"."\n";
			$fileref = "$name$count";
			$fileid = "idref$fileref";
			$output .= '<dt><input id="'.$fileid.'" name="'.$fileref.'" type="checkbox" value="'.$node.'" checked>';
			$output .= '<a href="javascript:toggleFileChekcbox(\''.$fileid.'\')">'.$basename.'</a>';
			$output .= "<a href=\"".sys2url($node)."\" target=\"_blank\"> &rsaquo;&rsaquo;&rsaquo; </a></dt>"."\n";
			//print(sys2url($node)."</br>");
		}
		$output .= '</dl>'."\n";
	}
	return $output;
}

function printTree($thePath, $filter, $checkBoxIdentifier='_QSM_dofile'){
	$filelist = getDir($thePath, $filter);

	return throwtree ($filelist, $checkBoxIdentifier, $thePath, $thePath);
}
function getConfigPaths($httpOption="http"){
	
	if(!isset($_SERVER['SCRIPT_NAME'])){
		$_REQUEST = get_defined_vars();
		$_SERVER = $HTTP_SERVER_VARS;
	}

	
	$retval = array();
	
	$Apathtome = explode("/", $_SERVER['PHP_SELF']);
	$filename = array_pop($Apathtome);
	$retval['filename'] = $filename;
	$retval['web'] = $httpOption."://".$_SERVER['HTTP_HOST'].(implode("/", $Apathtome));
	
	if(!@getcwd ()){
		$retval['sys'] = str_replace("\\", "/", dirname(__FILE__));
	} else {
		$retval['sys'] = str_replace("\\", "/", getcwd ());
	}
	
	// Ensure no double slashes (the windows slash \  can cause double doubles);
	$retval['sys'] = str_replace("//", "/", $retval['sys']);
	
	$retval['sysSelf']		= $retval['sys']."/".$filename;
	

	return $retval;

}

function sys2url($uri){
	global $CONF;
	
	// Fix windoz
	$uri = str_replace("\\", "/", $uri);
	// Clear double slashes
	$uri = str_replace("//", "/", $uri);
	
	$chopPath = substr($uri,strlen($CONF['paths']['sys']),strlen($uri));
	$retval = $CONF['paths']['web'].$chopPath;
	return $retval;
}

function url2syspath($uri){
	global $CONF;
	$chopPath = substr($uri,strlen($CONF['paths']['web']),strlen($uri));
	$retval = $CONF['paths']['sys'].$chopPath;
	return $retval;
}


function escapeXMLbadChars($theString){
	$retval = $theString;
	$retval = str_replace("&", "&amp;", $retval);
	$retval = str_replace("<", "&lt;", $retval);
	$retval = str_replace(">", "&gt;", $retval);
	$retval = str_replace("'", "&apos;", $retval);
	$retval = str_replace('"', "&quot;", $retval);
	$retval = str_replace('©', "&#xA9;", $retval);
	$retval = str_replace('ô', "&#x2122;", $retval);
	return $retval;
}

function writeTextFile ($thefileName, $theContent, $openCondition='w'){
	if (!$fp = fopen($thefileName, $openCondition)) {
		$fp = fopen($thefileName,'w');
	}
	if (!$filewrite = fwrite($fp, $theContent)) {
		echo "<b>unable to write to: $thefileName <br></b>possible causes:\n";
		echo "<br>-- check permissions\n";
		echo "<br>-- make sure you have entered a valid name\n";
		exit;
	}
	fclose($fp);
}



// Setup paths
$CONF['paths'] = getConfigPaths();
$CONF['me'] = $CONF['paths']['filename'];



$showUI = true;

if(isset($_REQUEST['action'])){
	if($_REQUEST['action'] == "doSitemap"){
		
		$showUI = false;
		
		
		$printXML = "";
		
		$printXML = '<?xml version="1.0" encoding="UTF-8"?>'.newline;
		$printXML .= '<urlset xmlns="http://www.sitemaps.org/schemas/sitemap/0.9">'.newline;

		foreach($_POST as $key => $value) {
			
			// _QSM_dofile
			if(strstr($key, "_QSM_dofile")){
				//$fileTime = date(DATE_ATOM, filectime($tmp));
				$fileTime = date("Y-m-d");
				$printXML .= '<url>'.newline;
				$printXML .= '  <loc>'.escapeXMLbadChars(sys2url(urldecode($value))).'</loc>'.newline;
				$printXML .= '  <priority>'.$CONF['priority'].'</priority>'.newline;
				$printXML .= '  <lastmod>'.$fileTime.'</lastmod>'.newline;
				$printXML .= '  <changefreq>'.$CONF['frequency'].'</changefreq>'.newline;
				$printXML .= '</url>'.newline;
			}
		}

		$printXML .= '</urlset>'.newline;

		
		
	

		if($CONF['out_kind'] == "download"){

			/*
			This will cause a "force download" however, 
			it might be a good idea to not force the 
			download and have your browser validate the XML :)
			*/

			header("Pragma: public");
			header("Expires: Thu, 19 Nov 1981 08:52:00 GMT");
			header("Cache-Control: must-revalidate, post-check=0, pre-check=0");
			header("Cache-Control: no-store, no-cache, must-revalidate");
			header("Cache-Control: private");
			header("Content-Type: text/xml");
			header("Content-Disposition: attachment; filename=" . $CONF['out_name'] . ";" );
			header("Content-Transfer-Encoding: text");
			header("Content-Length: ".strlen($printXML));
			
		} else {
			header("Content-Type: text/xml");
		}
		
		// -----------------------
		// SAVE TO SERVER
		// -----------------------
		// You can have the file saved directly to the server... 
		// but you'll probably have to fiddle with permissions on
		// the  file named "sitemap.xml".
		
		// By default we just bounce to browser with:
		print (utf8_encode($printXML));
		
		// Save the file to the server with:
		// writeTextFile ($CONF['out_name'], $printXML, 'w');
		
		exit;
		
	}
	
}


//printArray($CONF);
//exit;

if($showUI){

	
// Frequency dropdown contents	
$Atemp = array("never", "always", "hourly", "daily", "weekly", "monthly", "yearly");

$output_freq = "";
for($i=0; $i < sizeof($Atemp); $i++){
	$sel = "";
	if($CONF['frequency'] == $Atemp[$i]){
		$sel = ' selected="selected"';
	}
	$output_freq .= '<option value="' . $Atemp[$i] . '"' . $sel . '>' . $Atemp[$i] . '</option>';
}

$output_display = "";
$output_download = "";
if($CONF['out_kind'] == "display"){
	$output_display = ' checked';
} else {
	$output_download = ' checked';
}


$output_priority 	= $CONF['priority'];

$output_ext 		= implode(",", $CONF['ext']);
$output_ig_files 	= implode(",", $CONF['ig_files']);
$output_ig_dirs 	= implode(",", $CONF['ig_dirs']);
$output_ig_begin 	= implode(",", $CONF['ig_begin']);
$output_ig_end 		= implode(",", $CONF['ig_end']);


$output_tree		= printTree($CONF['paths']['sys'], $CONF['ext'], '_QSM_dofile');



	$output = '<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<title>PHP Sitemap Maker</title>
<script type="text/JavaScript">
   function openClose(dir){
	   x=document.getElementById(dir);
	   if(x.style.display == "none"){
		   x.style.display = "";
	   }else{
		   x.style.display = "none";
	   }
   }
	function openAll(){
		var nodes = document.getElementsByTagName("dd");
		for (var i = nodes.length-1; i>=0; i--) {
			nodes[i].style.display = "";
		}
	}
	function closeAll(){
		var nodes = document.getElementsByTagName("dd");
		for (var i = nodes.length-1; i>=0; i--) {
			nodes[i].style.display = "none";
		}
	}
	function checkAll(){
		var inputs = document.getElementsByTagName("input");
		for (var i = 0; i < inputs.length; i++) {
  			if (inputs[i].type == "checkbox" && /_QSM_dofile/.test(inputs[i].name)) {
				inputs[i].checked = true;
			}
		}
	}
	function uncheckAll(){
		var inputs = document.getElementsByTagName("input");
		for (var i = 0; i < inputs.length; i++) {
  			if (inputs[i].type == "checkbox" && /_QSM_dofile/.test(inputs[i].name)) {
				inputs[i].checked = false;
			}
		}
	}
	function refreshTree(){
		var frm = document.getElementById("form1");
		frm.action = "' . $CONF['me'] . '?action=updateTree";
		frm.submit();
	}
	
	function toggleFileChekcbox(val){
		var cb = document.getElementById(val);
		cb.checked = !cb.checked;
	}
</script>
<style type="text/css">
<!--
.optionName {
	font-family: Arial, Helvetica, sans-serif;
	font-size: 14px;
	font-weight: bold;
	color: #333;
	line-height: 16px;
	margin-bottom: 4px;
}
.optionPriority {
	height: 20px;
	width: 30px;
}
.optionInfo {
	color: #666;
}
.frmTextArea {
	height: 30px;
	width: 200px;
}
body {
	font-family: Arial, Helvetica, sans-serif;
	color: #000;
}
p {
	font-family: Arial, Helvetica, sans-serif;
	font-size: 12px;
	line-height: 1;
	margin-top: 0px;
	margin-bottom: 2px;
}
dl {
	margin-top:0px;
	margin-bottom:0px;
}
/* Pure CSS Icons (Folder/File) */
body {
	background:#eff3f6;
}

/* http://lab.victorcoulon.fr/css/pure-css-folder-icon.html */
i {
	display:inline-block;
	position:relative;
	margin:0 .1em;
}
 i::before {
content:"";
position:absolute;
display:block;
}
.folder {
	width:14px;
	height:10px;
	/*background-image:-webkit-linear-gradient(#a7c3d9, #709fc2);*/
	background-image:-webkit-linear-gradient(#C6DAE7, #87B2CE);
	background-image:-moz-linear-gradient(#C6DAE7, #87B2CE);
	box-shadow:inset 0 1px 0 #c6d9e7, 0 1px 0 #bbbfc3;
	border-width:1px;
	border-style:solid;
	border-color:#65849b #5a7b92 #4c6f87 #5f7f96;
}
 .folder::before {
 top:-3px;
 width:4px;
 height:1px;
 background:#96b8d3;
 border-width:1px;
 border-style:solid;
 border-color:#69879e #67869d #98b4c8 #67869d;
}
.file {
	top:2px;
	width:11px;
	height:14px;
	background-image:-webkit-linear-gradient(#e4e4e4, #fff);
	box-shadow:inset 0 1px 0 #f4f4f4, inset 1px 0 0 #f4f4f4, inset -1px 0 0 #f4f4f4;
	border-radius:0 .3em 0 0;
	border-width:1px;
	border-style:solid;
	border-color:#a9a9a9 #a3a3a3 #949494 #a3a3a3;
}
 .file::before {
 right:-1px;
 top:-1px;
 width:3px;
 height:3px;
 background-image:-webkit-linear-gradient(#f5f5f5, #fdfdfd);
 border-radius:0 .3em 0 0;
 background-clip: padding-box;
 border-width:1px;
 border-style:solid;
 border-color:#b1b1b2 #b1b1b2 #969696 #a7a7a7;
}
dt {
	margin-bottom:5px;
	font-family: Arial, Helvetica, sans-serif;
	font-size: 12px;
}
dd {
	margin-left:20px;
}
a:link {
	text-decoration: none;
}
a {
	color: #000;
	text-decoration: none;
}
a:visited {
	text-decoration: none;
}
a:hover {
}
a:active {
	text-decoration: none;
}

.fileCB {
	margin-left: 2px;
	padding: 0px;
	margin-top: 0px;
	margin-right: 2px;
	margin-bottom: 0px;
}
.title {
	font-family: Verdana, Geneva, sans-serif;
	font-size: 16px;
	font-weight: bold;
	color: #666;
}
.b_makeit {
	height: 40px;
	width: 200px;
	font-family: Arial, Helvetica, sans-serif;
	font-size: 14px;
}
.b_refresh {
	height: 18px;
	width: 200px;
}
.fntCode {
	font-family: "Lucida Console", Monaco, monospace;
	font-size: 14px;
	font-weight: normal;
	color: #3E58A8;
}
.frmFilename {
	height: 20px;
	width: 200px;
}
.fileList {
	background-color: #FFF;
	border: 1px solid #CCC;
	-moz-border-radius: 15px;
	border-radius: 15px;
	padding-top: 20px;
	padding-right: 20px;
	padding-bottom: 20px;
	padding-left: 30px;
}
-->
</style>
</head>
<body>
<form name="form1" id="form1" method="post" action="'.$CONF['me'].'?action=doSitemap">
<table width="100%" border="0" cellspacing="20" cellpadding="0">
	<tr>
		<td width="20%" align="left" valign="top">
			<p class="optionName"><span class="title">PHP Sitemap Maker</span></p>
			<p class="optionName">&nbsp;</p>
			<p class="optionName">Output</p>
			<p><input name="out_name" type="text" id="out_name" class="frmFilename fntCode" value="' . $CONF['out_name'] . '" />
				</p>
				
				<table width="100%" border="0" cellspacing="0" cellpadding="0">
					<tr>
						<td><p>
							<label>
							<input name="out_kind" type="radio" value="display" id="out_kind_0"' .  $output_display . ' />
							Display</label></p></td>
						<td><p><label>
							<input name="out_kind" type="radio" value="download" id="out_kind_1"' .  $output_download . ' />
							Download</label></p></td>
					</tr>
				</table>
			<p>&nbsp;</p>
			<p>
				<input name="Submit" type="submit" class="b_makeit" value="Make It!" />
			</p>
			<p>&nbsp;</p>
			<p class="optionName">Frequency </p>
			<p class="optionName">
				<select name="frequency" id="frequency">
					' . $output_freq . '
				</select>
			</p>
			<p class="optionName">&nbsp;</p>
			<p class="optionName">Default Priority </p>
			<p class="optionName">
				<input name="priority" type="text" class="optionPriority fntCode" id="priority" value="' .  $output_priority . '" size="3" />
			</p>
			<p class="optionName">&nbsp;</p>
			<p>* Comma delimited.</p>
			<p class="optionName">&nbsp;</p>
			<p class="optionName">*File Types</p>
			<p>
				<textarea name="ext" class="frmTextArea fntCode" id="ext">' .  $output_ext . '</textarea>
				<input name="button4" type="button" class="b_refresh" id="button4" value="Refresh" onclick="refreshTree();"/>
			</p>
			<p>&nbsp; </p>
			<p class="optionName">*Ignore file names that contain</p>
			<p>
				<textarea name="ig_files" class="frmTextArea fntCode" id="ig_files">' .  $output_ig_files . '</textarea>
				<input name="button4" type="button" class="b_refresh" id="button4" value="Refresh" onclick="refreshTree();"/>
			</p>
			<p>&nbsp;</p>
			<p class="optionName">*Ignore folder names that contain</p>
			<p>
				<textarea name="ig_dirs" class="frmTextArea fntCode" id="ig_dirs">' .  $output_ig_dirs . '</textarea>
				<input name="button4" type="button" class="b_refresh" id="button4" value="Refresh" onclick="refreshTree();"/>
			</p>
			<p>&nbsp;</p>
			<p class="optionName">*Ignore files and/or folders that START with... </p>
			<p>
				<textarea name="ig_begin" class="frmTextArea fntCode" id="ig_begin">' .  $output_ig_begin . '</textarea>
				<input name="button4" type="button" class="b_refresh" id="button4" value="Refresh" onclick="refreshTree();"/>
			</p>
			<p>&nbsp;</p>
			<p class="optionName">*Ignore files and/or folders that END with... </p>
			<p>
				<textarea name="ig_end" class="frmTextArea fntCode" id="ig_end">' .  $output_ig_end . '</textarea>
				<input name="button4" type="button" class="b_refresh" id="button4" value="Refresh" onclick="refreshTree();"/>
			</p>
			<p>&nbsp;</p>
			<p>&nbsp;</p>
			<p>&nbsp;</p>
			<p>&nbsp;</p>
			<p>&nbsp;</p>
			<p>&nbsp;</p>
			<p><a href="http://www.gieson.com/Library/projects/utilities/sitemap/" class="optionName">Documentation</a></p>
			<p>&nbsp;</p>
			<p>Copyright &copy; Michael Gieson</p>
			<p><a href="http://www.gieson.com">www.gieson.com</a> </p>
			<p>Version 2.1</p>
			<p>&nbsp; </p>
		<p></p></td>
		<td width="80%" align="left" valign="top">
		<div class="fileList">
			<table width="100%" border="0" cellspacing="10" cellpadding="0">
				<tr>
					<td>
						<input type="button" name="openall" value="Open All" onclick="openAll();" />
						<input type="button" name="closeall" value="Close All" onclick="closeAll();" />
					</td>
					<td align="right">
						<input type="button" name="checkall" value="Check All" onclick="checkAll();" />
						<input type="button" name="uncheckall" value="Uncheck All" onclick="uncheckAll();" />
					</td>
				</tr>
			</table>
			<p>&nbsp; </p>
			
			
			
<!-- BEGIN TREE -->










	
' . $output_tree . '







		
<!-- END TREE -->
			
			</div>
			
			</td>
	</tr>
</table>
</form>
<p>&nbsp;</p>
</body>
</html>
';


print $output;

/*
	print $styles;
	
	print ('<p>Uncheck the items that you do <br>not want to include in your site map</p>');
	print ('<p><input type="button" name="openall" value="Open All" onClick="openAll();">');
	print ('<input type="button" name="closeall" value="Close All" onClick="closeAll();"></p>');
	print ('<form name="form1" method="post" action="'.$CONF['me'].'?action=doSitemap">'.newline);
	print (printTree($CONF['paths']['sys']));
	print ('<p><input type="submit" name="Submit" value="Submit"></p>');
	print ('</form>'.newline);

	print ('<p><a href="http://www.gieson.com/" target="_blank">&copy;2013 Michael Gieson</a></p>');
	
	print '</body>';
	print '</html>';
*/
	
}
?>